<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<mat-toolbar color="primary" class="toolbar">
  <button mat-icon-button id="pact-sidenav-toggle-btn" (click)="toggleSidenav()"
          *ngIf="!sidenav.shouldSideNavBeFixed() && currentUser != undefined">
    <mat-icon>menu</mat-icon>
  </button>
  <span>{{title}}</span>
  <span class="spacer"></span>

  <button id="pact-login-menu-btn" *ngIf="currentUser" mat-icon-button [matMenuTriggerFor]="loginMenu">
    <mat-icon>account_circle</mat-icon>
  </button>
  <mat-menu #loginMenu [overlapTrigger]="false" xPosition="before">
    <mat-card *ngIf="currentUser" class="login-card">
      <mat-card-content class="login-card-content">
        <mat-icon class="avatar">account_circle</mat-icon>
        <div class="login-card-data">
          <span class="readonly-label">{{'toolbar.user.username' | translate}}</span>
          <span class="readonly-value" id="pact-current-user">{{currentUser?.username}}</span>
        </div>
      </mat-card-content>

      <mat-divider></mat-divider>
      <mat-card-actions *ngIf="currentUser" class="logout-section">
        <button id="pact-logout-btn" mat-button color="primary" (click)="logout()">
          <mat-icon>exit_to_app</mat-icon>
          {{'toolbar.user.logout' | translate}}
        </button>
      </mat-card-actions>
    </mat-card>
  </mat-menu>

  <button mat-icon-button [matMenuTriggerFor]="languageMenu">
    <mat-icon>language</mat-icon>
  </button>
  <mat-menu #languageMenu [overlapTrigger]="false">
    <button *ngFor="let lang of availableLangs()" mat-menu-item (click)="currentLang = lang">
      {{'toolbar.language.' + lang | translate}}
    </button>
  </mat-menu>

</mat-toolbar>
